package com.mt.wms.empty.service.impl;

import com.mt.wms.core.base.BaseService;
import com.mt.wms.core.dal.entity.CurrTask;
import com.mt.wms.core.dal.service.CurrTaskServiceBiz;
import com.mt.wms.core.vo.R;
import com.mt.wms.empty.mapper.EleMapper;
import com.mt.wms.empty.service.EleService;
import com.mt.wms.empty.vo.CountEleVo;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

/**
 * @Author: LGH
 * @Date: 2022/12/27
 */
@Service
public class EleServiceImpl extends BaseService implements EleService {

    @Resource
    EleMapper eleMapper;
    @Resource
    CurrTaskServiceBiz currTaskServiceBiz;

    @Override
    public R list(Long kilnId) {
        List<CountEleVo> list = eleMapper.list(kilnId);
        for (CountEleVo countEleVo:list
             ) {
            CurrTask currTask = currTaskServiceBiz.getById(countEleVo.getTaskId());
            if (currTask.getStoveCode()==null){
                if (currTask.getSheetNo()!=null){
                    currTask.setStoveCode(currTask.getSheetNo());
                }else {
                    currTask.setStoveCode(currTask.getTaskCode());
                }

            }
            countEleVo.setStoveCode(currTask.getStoveCode());
            countEleVo.setCreateTime(currTask.getCreateTime());
        }
        return successful(list);
    }
}
